#include <iostream>
int main () {
    long long int t, z, br;
    br = 0;
    std::cin >> t;
    std::string p[t];
    for (int i = 0; i < t; i++) {
        long long int m, n, k;
        std::cin >> m >> n >> k;
        if (n > ((((m / k) * ((m / k) + 1)) / 2) + (m % k) * ((m / k) + 1))) {
	    p[br] = "Tak";
	}
    else {
	    p[br] = "Nie";
	}
	br++;
    }
    for(int i = 0; i < t; i++){
        std::cout << p[i] << std::endl;
    }
    return 0;
}